Debian Bug report logs - #732346
libsndfile: Update config.{sub,guess} for new architectures

version graph

Package: src:libsndfile; Maintainer for src:libsndfile is Erik de Castro Lopo <erikd@mega-nerd.com>;

Reported by: Wookey <wookey@wookware.org>

Date: Tue, 17 Dec 2013 00:48:02 UTC

Severity: normal

Tags: patch

Found in version libsndfile/1.0.25-7

Fixed in version libsndfile/1.0.25-8

Done: Erik de Castro Lopo <erikd@mega-nerd.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Erik de Castro Lopo <erikd@mega-nerd.com>:
Bug#732346; Package src:libsndfile. (Tue, 17 Dec 2013 00:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Erik de Castro Lopo <erikd@mega-nerd.com>. (Tue, 17 Dec 2013 00:48:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libsndfile: Update config.{sub,guess} for new architectures
Date: Tue, 17 Dec 2013 00:45:02 +0000
[Message part 1 (text/plain, inline)]
Source: libsndfile
Version: 1.0.25-7
Severity: normal
Tags: patch
User: debian-arm@lists.debian.org
Usertag: arm64

This package does not build for new architectures, such as arm64 because
the config.sub/guess shipped with the source are too old.

The attached patch unsures the updated system version is used during the
build which fixes this common issue for future instances as well as the
current one.

arm64 will be entering debian-ports very soon, so an upload with this fix
or an equivalent one would be appreciated.

-- System Information:
Debian Release: 7.3
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-kvm-i386-20110111 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[libsndfile-1.0.25-7-autoconfupdate.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#732346; Package src:libsndfile. (Thu, 19 Dec 2013 02:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. (Thu, 19 Dec 2013 02:24:04 GMT) Full text and rfc822 format available.

Message #10 received at 732346@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: 732346@bugs.debian.org
Subject: Re: Bug#732346: libsndfile: Update config.{sub,guess} for new architectures
Date: Thu, 19 Dec 2013 13:14:17 +1100
Thanks Wookey,

I uploaded a new package two days ago, but the upload queue seems to
be busted. I'm hoping the new package will just magically appear
when the queue gets fixed.

Cheers.
Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/



Reply sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
You have taken responsibility. (Sun, 19 Jan 2014 04:51:08 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Sun, 19 Jan 2014 04:51:08 GMT) Full text and rfc822 format available.

Message #15 received at 732346-close@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: 732346-close@bugs.debian.org
Subject: Bug#732346: fixed in libsndfile 1.0.25-8
Date: Sun, 19 Jan 2014 04:48:29 +0000
Source: libsndfile
Source-Version: 1.0.25-8

We believe that the bug you reported is fixed in the latest version of
libsndfile, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 732346@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Erik de Castro Lopo <erikd@mega-nerd.com> (supplier of updated libsndfile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 17 Dec 2013 21:18:40 +1100
Source: libsndfile
Binary: libsndfile1-dev libsndfile1 sndfile-programs libsndfile1-dbg sndfile-programs-dbg
Architecture: source amd64
Version: 1.0.25-8
Distribution: unstable
Urgency: low
Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
Changed-By: Erik de Castro Lopo <erikd@mega-nerd.com>
Description: 
 libsndfile1 - Library for reading/writing audio files
 libsndfile1-dbg - debugging symbols for libsndfile
 libsndfile1-dev - Development files for libsndfile; a library for reading/writing a
 sndfile-programs - Sample programs that use libsndfile
 sndfile-programs-dbg - debugging symbols for sndfile-programs
Closes: 732346
Changes: 
 libsndfile (1.0.25-8) unstable; urgency=low
 .
   [Wookey <wookey@debian.org>]
   * Ensure config.sub/guess are up to date (Closes: #732346).
 .
   [Erik de Castro Lopo]
   * debian/control:
     - Standards version 3.9.4. No changes needed.
     - Set 'Multi-Arch: same' for -dbg package.
Checksums-Sha1: 
 7de869fb2a47916c7287953ce5ef460a3299dc9d 2079 libsndfile_1.0.25-8.dsc
 e95d9fca57f7ddace9f197071cbcfb92fa16748e 1060692 libsndfile_1.0.25.orig.tar.gz
 b29af493cc59be3d484d0965a2bc3325ce8c8725 12185 libsndfile_1.0.25-8.debian.tar.gz
 f521ebba575826dee022e844c0b62cef09dacc0a 728630 libsndfile1-dev_1.0.25-8_amd64.deb
 1d485bb59837a8e067cbd3674a59adea95767eb0 212840 libsndfile1_1.0.25-8_amd64.deb
 722d806c17161ee18cd24f278b3d99c148a0d89d 108370 sndfile-programs_1.0.25-8_amd64.deb
 5578de260319724ea9ce03b8e0c8c50dfda8d960 367522 libsndfile1-dbg_1.0.25-8_amd64.deb
 c1fc71e090f880689261a75b9970388b06a9b2ee 138886 sndfile-programs-dbg_1.0.25-8_amd64.deb
Checksums-Sha256: 
 99ac605441bd897fef18a76f16c33fa769cee978b9d740c9fc518fc7ac40cbf1 2079 libsndfile_1.0.25-8.dsc
 59016dbd326abe7e2366ded5c344c853829bebfd1702ef26a07ef662d6aa4882 1060692 libsndfile_1.0.25.orig.tar.gz
 7c19ae4a49dda9bf36f18dbd546f168a34e5b32898f49a7fda4ba049e3e4ae15 12185 libsndfile_1.0.25-8.debian.tar.gz
 5d421c4d23e399282cfbcb2e47be80daf0874e2d2a911b963b3f69a289e23f5e 728630 libsndfile1-dev_1.0.25-8_amd64.deb
 a27dc0ca5d2362042005f0c8b6efd19350d1004c93c948e0fb0bf20bc289c633 212840 libsndfile1_1.0.25-8_amd64.deb
 b337831f2c54731a6b5be003bc52a28ae1734954eaedf64f9689550481781f33 108370 sndfile-programs_1.0.25-8_amd64.deb
 e58bdf02571c27385ffcbcaeff9e36fa9a91b54e83e0e812b7d22f909f159eee 367522 libsndfile1-dbg_1.0.25-8_amd64.deb
 b8c18dfe08243c08e32cdb64811ac893ec17f47477736dc90f302e218196acc5 138886 sndfile-programs-dbg_1.0.25-8_amd64.deb
Files: 
 6274a3b932f90bd1b441fc9e72984b74 2079 devel optional libsndfile_1.0.25-8.dsc
 e2b7bb637e01022c7d20f95f9c3990a2 1060692 devel optional libsndfile_1.0.25.orig.tar.gz
 16980e13c3c90b555ff6edae9481f357 12185 devel optional libsndfile_1.0.25-8.debian.tar.gz
 34b6b4eb65f5e704f630026a1ba86032 728630 libdevel optional libsndfile1-dev_1.0.25-8_amd64.deb
 f98f10a8936d1ff44004fdfa9fda484c 212840 libs optional libsndfile1_1.0.25-8_amd64.deb
 b40ee53ca88463de1371b89dc58941ad 108370 utils optional sndfile-programs_1.0.25-8_amd64.deb
 1e4389d691bb1d1bada10e40e18ad750 367522 debug extra libsndfile1-dbg_1.0.25-8_amd64.deb
 800ddc8bac902806c1878531ecf84df7 138886 debug extra sndfile-programs-dbg_1.0.25-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSvemRAAoJEEXYQ7zIiotI9n0P/ijvLeRy5jePLU+hcjVS0FkI
auYBDb+gPe0DqBruXTc/lsQPuxXL/JJBKG8ANzS1xPeFK5s1QNvPFVHM6lzWobTG
JvZnLXqcw7kRSC8gcz9mv6kjdrAJjRE8I6zwoXFCsSPHnQFMPhfpb58qO20JaUVo
tqVdgrwTQs/yLILpw6OJPUk673RiKuAei3il5Enw3+kxxjOm9DRW/J8CoKXGor+m
VVlHd2m1f+PbcDmyQsqD2iMEYUgPVRSeuYqfqjbZRA0DgKnjeqGuOLAFOpgKs53l
KijFMPdhekq6pU5IiMvqnnYIzeMaMm/TGW+wbUJgik7xunCF61U4bmr/aStWXfYT
NZ5t/u7OGfKbfXI+6e3mkxNb7+B8fATEZXQoTKklUjGJpjGbUdOqnZjH+DV4BoSY
bAuGQYW9MupjmI2jB/Vk8Tex8tJttoK1gzx1RghfF9RE/Ol5PE6Yr0H9aUmXYja4
imdzwbCGwK3E9MHNg7jdG5qpkZcJunAsp3PKXk7xC13ZOnT6wHT28rZPQR1nK6Fb
7Snlw7EnjIjAN7qeBeMb/UT3HNuktCnzQruLmRRWQ69cLWU4G+nOfEHVm0i8NJdR
xkWoIm+rNOQS7VmPRSnL5Vry+8K/Uf7BYGEcsardo8FbUESbnTn1vgAedZPaGDkl
QByQhePf+Huqgw+gpFMf
=iJjj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Mar 2014 07:31:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:10:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.